Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class ProcessGroovyMethods.ProcessRunner

    java.lang.Object
      org.codehaus.groovy.runtime.ProcessGroovyMethods.ProcessRunner

All Implemented Interfaces:
  java.lang.Runnable

    protected static class ProcessGroovyMethods.ProcessRunner

A Runnable which waits for a process to complete together with a notification scheme allowing another thread to wait a maximum number of seconds for the process to complete before killing it.

Since:
  1.0

Constructor Summary
`ProcessGroovyMethods.ProcessRunner(java.lang.Process process)`

Method Summary
`void` | `run()`
`void` | `waitForOrKill(long millis)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ProcessGroovyMethods.ProcessRunner

    public ProcessGroovyMethods.ProcessRunner(java.lang.Process process)

Method Detail

### run

    public void run()

### waitForOrKill

    public void waitForOrKill(long millis)

Groovy Documentation